Bug 739250

Summary: parallel make keeps java components of voms from building
Product: [Fedora] Fedora EPEL Reporter: Matyas Selmeci <matyas>
Component: vomsAssignee: Mattias Ellert <mattias.ellert>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: el5CC: mattias.ellert, steve.traylen
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: voms-2.0.6-2.el4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-24 22:55:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Matyas Selmeci 2011-09-16 22:37:06 UTC
Attempting to rebuild the voms-2.0.2-1.el5 SRPM on a machine where %_smp_mflags is high causes random errors in the building of the java components of voms. The errors have the following form:

    Foo.java: cannot access Bar
    bad class file: Bar.class

The exact files/classes this happens to are random.
Replacing both occurrences of 'make %{?_smp_mflags}' with 'make -j1' solves this problem.

Comment 1 Fedora Update System 2011-10-15 13:08:22 UTC
voms-2.0.6-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/voms-2.0.6-2.fc15

Comment 2 Fedora Update System 2011-10-15 13:08:35 UTC
voms-2.0.6-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/voms-2.0.6-2.el5

Comment 3 Fedora Update System 2011-10-15 13:08:48 UTC
voms-2.0.6-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/voms-2.0.6-2.fc16

Comment 4 Fedora Update System 2011-10-15 13:09:03 UTC
voms-2.0.6-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/voms-2.0.6-2.el4

Comment 5 Fedora Update System 2011-10-15 13:09:16 UTC
voms-2.0.6-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/voms-2.0.6-2.el6

Comment 6 Fedora Update System 2011-10-15 13:09:28 UTC
voms-2.0.6-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/voms-2.0.6-2.fc14

Comment 7 Fedora Update System 2011-10-15 20:27:52 UTC
Package voms-2.0.6-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing voms-2.0.6-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14406
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-10-24 22:55:08 UTC
voms-2.0.6-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-10-24 23:02:07 UTC
voms-2.0.6-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-10-25 03:31:00 UTC
voms-2.0.6-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-11-02 00:06:12 UTC
voms-2.0.6-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-11-02 00:07:47 UTC
voms-2.0.6-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-11-02 00:08:06 UTC
voms-2.0.6-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.